Bug 1283220 - 2015-8023 strongswan: Authentication bypass in eap-mschapv2 plugin [fedora-all]
2015-8023 strongswan: Authentication bypass in eap-mschapv2 plugin [fedora-all]
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: strongswan (Show other bugs)
23
All Linux
high Severity high
: ---
: ---
Assigned To: Pavel Šimerda (pavlix)
Fedora Extras Quality Assurance
fst_owner=dcafaro
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-8023
  Show dependency treegraph
 
Reported: 2015-11-18 08:23 EST by Adam Mariš
Modified: 2016-07-13 10:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-13 10:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-18 08:23:26 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-11-18 08:23:32 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1283219,1283220

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1283219,1283220
Comment 2 David A. Cafaro 2016-03-16 09:03:32 EDT
Looks like it needs a bump to 5.3.4 https://www.strongswan.org/blog/2015/11/16/strongswan-5.3.4-released.html

Any chance for an update soon?
Comment 3 Pavel Šimerda (pavlix) 2016-07-13 10:31:22 EDT
We have updated to 5.4.0. Thanks for the bug report.

Note You need to log in before you can comment on or make changes to this bug.